Subject: Re: [mpls] Roman Danyliw's No Objection on draft-ietf-mpls-ri-rsvp-frr-07: (with COMMENT)

From: Chandrasekar Ramachandran <[email-masked]>
Date: Mon, 23 Nov 2020 05:24:56 +0000

Hi Roman,
Apologies for the long delay in responding to your comments.
Could you check the most recent (09) version of the draft and see whether the comments are addressed?

Thanks,
Chandra.

Juniper Public

> -----Original Message-----
> From: Roman Danyliw via Datatracker <[email-masked]>
> Sent: Thursday, December 5, 2019 7:10 PM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; Nicolai Leymann
> <[email-masked]>; [email-masked]; [email-masked];
> [email-masked]
> Subject: Roman Danyliw's No Objection on draft-ietf-mpls-ri-rsvp-frr-07:
> (with COMMENT)
> 
> Roman Danyliw has entered the following ballot position for
> draft-ietf-mpls-ri-rsvp-frr-07: No Objection
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> Please refer to
> https://urldefense.com/v3/__https://www.ietf.org/iesg/statement/discuss-
> criteria.html__;!8WoA6RjC81c!QLfyRBngIXBvbY5aDOR4XouiTbBiMwTI5AXB2e
> RwspTBxbZRUA5SoY-YuIYgKPs$
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://urldefense.com/v3/__https://datatracker.ietf.org/doc/draft-ietf-
> mpls-ri-rsvp-
> frr/__;!8WoA6RjC81c!QLfyRBngIXBvbY5aDOR4XouiTbBiMwTI5AXB2eRwspTB
> xbZRUA5SoY-Yv7sWnQE$
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Section 5. Recommend adding language about using more modern HMAC
> algorithms
> than those suggested in RFC2747.  For example:
> 
> OLD:
> The security considerations pertaining to the original RSVP protocol
> [RFC2205], [RFC3209] and [RFC5920] remain relevant.
> 
> NEW:
> The security considerations pertaining to the original RSVP protocol
> [RFC2205],
> [RFC3209] and [RFC5920] remain relevant.  When using RSVP Cryptographic
> Authentication [RFC2747], more robust algorithms such as HMAC-SHA256,
> HMAC-SHA384, or HMAC-SHA-512 [RFC2104][SHS] SHOULD be used when
> computing the
> keyed message digest where possible.
> 
>    [RFC2104]  Krawczyk, H., Bellare, M., and R. Canetti, "HMAC: Keyed-
>               Hashing for Message Authentication", RFC 2104, February
>               1997.
> 
>    [RFC2747]  Baker, F., Lindell, B., and M. Talwar, "RSVP Cryptographic
>               Authentication", RFC 2747, January 2000.
> 
>    [SHS]      National Institute of Standards and Technology (NIST),
>               FIPS Publication 186-3: Digital Signature Standard,
>               October 2008.
>